Description

History

#1 - 11/11/2017 09:45 AM - Madars

- Status changed from New to Rejected

#2 - 03/16/2018 08:54 PM - Madars

- Status changed from Rejected to New

Windows support might be reached by using:

- https://github.com/robinrowe/libunistd

- by using msmsq as queue transport

- Also it looks like there is no polling for those queues, thus we could run in System V IPC queue mode.

#3 - 03/23/2018 10:25 AM - Madars

https://msdn.microsoft.com/en-us/library/ms706972(v=vs.85).aspx

#4 - 04/23/2018 01:37 PM - Madars

For scripting:

http://mingw.org/wiki/msys

and

https://www.activestate.com/activeperl

#5 - 04/25/2018 09:10 AM - Madars

https://sourceforge.net/projects/winflexbison/

#6 - 05/29/2018 07:49 AM - Madars

https://marc.info/?l=ms-dcom&m=103440653615315&w=2
#7 - 05/30/2018 09:10 AM - Madars

The server poller could do following:

https://msdn.microsoft.com/en-us/library/ms699825(v=vs.85).aspx

MQReceiveMessage() + Peek -> add to overlapped waitformultiple objects With small buffer size. This is needed so that we do not grab two

messages at the same time  if doing async MQReceiveMessage to all service queues. We use peek on small buffer just to trigger wakeup.

If for some result we get OK or buffer overflow, then there is something in queue. The try to read message from Q in non blocked mode (i.e. set

dwTimeout to 0). If got message all ok, if not return back to poller.

#8 - 05/31/2018 09:18 AM - Madars

https://gist.github.com/hnakamur/3568136

#9 - 07/18/2018 02:20 PM - Madars

Scheduled for Block 2 project.

#10 - 09/03/2018 05:49 AM - Madars

Build system: http://ingar.intranifty.net/devenv/mingw32/base.html

#11 - 10/01/2018 01:51 PM - Madars

Build ENV setup: https://www.wireshark.org/docs/wsdg_html_chunked/ChSetupWin32.html

#12 - 10/01/2018 02:19 PM - Madars

For golang: https://stackoverflow.com/questions/1710922/how-to-install-pkg-config-in-windows

#13 - 10/02/2022 10:05 AM - Madars

- Status changed from New to Rejected

not a business case here.
